sudo: required
dist: trusty
language: c

notifications:
  email:
    on_success: change
    on_failure: change

matrix:
  include:
    - env: COMPILER=gcc VERSION=6
    - env: COMPILER=gcc VERSION=5
    - env: COMPILER=gcc VERSION=4.8

before_install:
  - sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
  - sudo apt-get update -qq
  - |
      if [ "$VERSION" = "6" ]; then	
        sudo apt-get install -qq -y gcc-6
      elif [ "$VERSION" = "5" ]; then
        sudo apt-get install -qq -y gcc-5
      elif [ "$VERSION" = "4.8" ]; then
        sudo apt-get install -qq -y gcc-4.8
      fi

before_script:
  - |
      if [ "$VERSION" = "6" ]; then
        export CC=gcc-6
      elif [ "$VERSION" = "5" ]; then
        export CC=gcc-5
      elif [ "$VERSION" = "4.8" ]; then
        export CC=gcc-4.8
      fi

install:
  - sudo apt-get -qq update
  - sudo apt-get install -y linux-headers-$(uname -r)
  - sudo apt-get install libnuma-dev libpcap-dev

script:
  - export RTE_SDK=`echo $PWD`/drivers/dpdk
  - export RTE_TARGET=x86_64-native-linuxapp-gcc
  - echo | ./setup.sh --compile-dpdk
  - make -f scripts/Makefile.test
  - ./setup.sh --compile-netmap
  - make -f scripts/Makefile.test
  - ./setup.sh --compile-pcap
  - make -f scripts/Makefile.test


